BulkCSVUpload

Upload CSV files (may be gzipped). They MUST contain headers: either in first row (by default) OR in headers querystring field. If the file contains a timestamp field you want us to use see timestamp_field querystring parameter for how we extract it.

Note Domain this api is on a different domain https://bulk.lytics.io because the api.lytics.io domain is limited to 10MB file uploads.

# the "user_regdata" is the STREAM (ie Type) of data, if there
# is multiple different types of data (userdata, emaildata, events)
# they would have different streams.

# user data
export LIODATAKEY="YOURKEY"
curl -s -H "Authorization: $LIOKEY" \
  -H 'Content-type: application/csv' \
  --data-binary @users.csv \
  "https://bulk.lytics.io/collect/bulk/user_regdata?timestamp_field=register_date" \
 | jq '.'


# only do a dry-run to see if it is formatted correctly
curl -s "https://bulk.lytics.io/collect/bulk/user_regdata?access_token=$LIODATAKEY&timestamp_field=register_date&dryrun=true" \
    --data-binary @users.csv -H 'Content-type: application/csv' | jq '.'

# append fields to each row
#  where   append = urlencode({"source":"crm"})
#  often used when file-name contains information

curl -s "https://bulk.lytics.io/collect/bulk/user_regdata?append=%7B%22source%22%3A%22crm%22%7D&access_token=$LIODATAKEY" \
    --data-binary @users.csv -H 'Content-type: application/csv' | jq '.'


# full example uploading gzipped file

echo 'user_id,email,reg_date,item_count
7456,[email protected],"2012-10-17T17:29:39.738Z",82
1234,[email protected],"2012-12-11T19:53:31.547Z",82' > users.csv

gzip users.csv

curl -s "https://bulk.lytics.io/collect/bulk/user_regdata?access_token=$LIODATAKEY&timestamp_field=reg_date&dryrun=true&filename=users.csv" \
    --data-binary @users.csv.gz \
    -H 'Content-type: application/csv' | jq '.'
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

The DataType aka Table of type of data being uploaded. See Data, Streams in web admin.

Query Params
string

Your Lytics account ID.

string

The Lytics DATA API key. Not the management key. Or use Authorization Header.

boolean
Defaults to false
string

The name of the column or field in file that contains event timestamp.

string

CSV only, Comma delimited list of header columns for csv (if not first row)

string

CSV only, if not the default comma, either t=tab, or | may be accepted

string

CSV only, JSON encoded object of additional name-value pairs to append to each record.

boolean
Defaults to false
string

Just for record-keeping in our event - stream.

Response

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json